Hi Raymond,

On 05/18/2018 12:07 PM, Tan, Raymond wrote:
> Signed-off-by: Tan, Raymond <raymond....@intel.com>
> ---
>  recipes-extended/qat/qat17.inc            |  9 ++++-----
>  recipes-extended/qat/qat17_1.0.3-42.bb    | 29 -----------------------------
>  recipes-extended/qat/qat17_4.1.0-00022.bb | 29 +++++++++++++++++++++++++++++
>  3 files changed, 33 insertions(+), 34 deletions(-)
>  delete mode 100644 recipes-extended/qat/qat17_1.0.3-42.bb
>  create mode 100644 recipes-extended/qat/qat17_4.1.0-00022.bb
> 
> diff --git a/recipes-extended/qat/qat17.inc b/recipes-extended/qat/qat17.inc
> index 76e5487..8deda6c 100644
> --- a/recipes-extended/qat/qat17.inc
> +++ b/recipes-extended/qat/qat17.inc
> @@ -47,8 +47,8 @@ export WITH_UPSTREAM = "1"
>  export WITH_CMDRV = "1"
>  export KERNEL_SOURCE_DIR = "${ICP_ROOT}/quickassist/qat/"
>  
> -export BIN_LIST="qat_c3xxx.bin qat_c3xxx_a0.bin qat_c3xxx_mmp.bin 
> qat_c62x.bin qat_c62x_mmp.bin"
> -export BIN_DH895XCC="qat_895xcc.bin qat_mmp.bin"
> +export BIN_LIST="qat_c3xxx.bin qat_c3xxx_mmp.bin qat_c62x.bin 
> qat_c62x_mmp.bin"
> +export BIN_DH895XCC="qat_895xcc.bin qat_895xcc_mmp.bin"

These and the install below looks specific to this version of the
recipe. If we're only going to have one version going forward, can you
please merge the inc and bb?

>  export BIN_C62X="qat_c62x.bin qat_c62x_mmp.bin"
>  export BIN_C3XXX="qat_c3xxx.bin qat_c3xxx_mmp.bin"
>  
> @@ -95,7 +95,7 @@ do_compile () {
>  }
>  
>  do_install() {
> -     cp ${TOPDIR}/downloads/qat1.7.upstream.l.${PV}.tar.gz ${S}
> +     cp ${TOPDIR}/downloads/qat1.7.l.${PV}.tar.gz ${S}
>       export MACHINE="${TARGET_ARCH}"
>  
>       cd ${S}/quickassist
> @@ -110,7 +110,7 @@ do_install() {
>       echo 'KERNEL=="icp_dev[0-9]*" MODE="0600"' >> 
> ${D}/etc/udev/rules.d/00-dh895xcc_qa.rules
>       echo 'KERNEL=="icp_dev_mem?" MODE="0600"' >> 
> ${D}/etc/udev/rules.d/00-dh895xcc_qa.rules
>  
> -     install -m 0755 ${S}/qat1.7.upstream.l.${PV}.tar.gz ${D}${prefix}/qat
> +     install -m 0755 ${S}/qat1.7.l.${PV}.tar.gz ${D}${prefix}/qat
>  
>       install -D -m 0755 
> ${S}/quickassist/lookaside/access_layer/src/build/linux_2.6/user_space/*.so 
> ${D}${base_libdir}
>       install -D -m 0755 
> ${S}/quickassist/utilities/libusdm_drv/libusdm_drv_s.so ${D}${base_libdir}
> @@ -119,7 +119,6 @@ do_install() {
>       install -D -m 640 
> ${S}/quickassist/utilities/adf_ctl/conf_files/c3xxx_dev0.conf  
> ${D}${sysconfdir}/conf_files
>       install -D -m 640 
> ${S}/quickassist/utilities/adf_ctl/conf_files/c3xxxvf_dev0.conf.vm  
> ${D}${sysconfdir}/conf_files
>       install -m 0755 ${S}/quickassist/qat/fw/qat_c3xxx.bin  
> ${D}${base_libdir}/firmware
> -     install -m 0755 ${S}/quickassist/qat/fw/qat_c3xxx_a0.bin  
> ${D}${base_libdir}/firmware
>       install -m 0755 ${S}/quickassist/qat/fw/qat_c3xxx_mmp.bin  
> ${D}${base_libdir}/firmware
>       install -m 0755 ${S}/quickassist/qat/fw/qat_c62x.bin  
> ${D}${base_libdir}/firmware
>       install -m 0755 ${S}/quickassist/qat/fw/qat_c62x_mmp.bin  
> ${D}${base_libdir}/firmware
> diff --git a/recipes-extended/qat/qat17_1.0.3-42.bb 
> b/recipes-extended/qat/qat17_1.0.3-42.bb
> deleted file mode 100644
> index 4f6d35c..0000000
> --- a/recipes-extended/qat/qat17_1.0.3-42.bb
> +++ /dev/null
> @@ -1,29 +0,0 @@
> -include qat17.inc
> -
> -DESCRIPTION = "Intel(r) QuickAssist Technology API"
> -HOMEPAGE = 
> "https://01.org/packet-processing/intel%C2%AE-quickassist-technology-drivers-and-patches";
> -
> -#Dual BSD and GPLv2 License
> -LICENSE = "BSD & GPLv2"
> -
> -TARGET_CC_ARCH += "${LDFLAGS}"
> -
> -SRC_URI="https://01.org/sites/default/files/downloads/intelr-quickassist-technology/qat1.7.upstream.l.1.0.3-42.tar.gz
>  \
> -         file://qat16_2.3.0-34-qat-remove-local-path-from-makefile.patch \
> -         
> file://qat16_2.6.0-65-qat-override-CC-LD-AR-only-when-it-is-not-define.patch \
> -         file://qat17_0.6.0-1-qat-fix-kernel-patch.patch \
> -         file://qat17_0.8.0-37-qat-added-include-dir-path.patch \
> -         file://qat17_0.9.0-4-qat-add-install-target-and-add-folder.patch \
> -         "
> -
> -SRC_URI[md5sum] = "ee059cf134486f5684466555e8636ee0"
> -SRC_URI[sha256sum] = 
> "84d2c4a242987548135274da7c3def31461af6f1b4beb74f519a993e854abf5b"
> -
> -# Support for 4.14 not yet available
> -python () {
> -    if d.getVar("PREFERRED_PROVIDER_virtual/kernel") == "linux-intel" and \
> -       d.getVar("PREFERRED_VERSION_linux-intel") == "4.14%" or \
> -       d.getVar("PREFERRED_PROVIDER_virtual/kernel") == "linux-intel-rt" and 
> \
> -       d.getVar("PREFERRED_VERSION_linux-intel-rt") == "4.14%":
> -        raise bb.parse.SkipPackage("This version of QAT has not been tested 
> with Linux Kernel 4.14 or newer")
> -}
> diff --git a/recipes-extended/qat/qat17_4.1.0-00022.bb 
> b/recipes-extended/qat/qat17_4.1.0-00022.bb
> new file mode 100644
> index 0000000..2de457a
> --- /dev/null
> +++ b/recipes-extended/qat/qat17_4.1.0-00022.bb
> @@ -0,0 +1,29 @@
> +include qat17.inc
> +
> +DESCRIPTION = "Intel(r) QuickAssist Technology API"
> +HOMEPAGE = 
> "https://01.org/packet-processing/intel%C2%AE-quickassist-technology-drivers-and-patches";
> +
> +#Dual BSD and GPLv2 License
> +LICENSE = "BSD & GPLv2"
> +
> +TARGET_CC_ARCH += "${LDFLAGS}"
> +
> +SRC_URI="https://01.org/sites/default/files/downloads/intelr-quickassist-technology/qat1.7.l.4.1.0-00022.tar.gz
>  \
> +         file://qat16_2.3.0-34-qat-remove-local-path-from-makefile.patch \
> +         
> file://qat16_2.6.0-65-qat-override-CC-LD-AR-only-when-it-is-not-define.patch \
> +         file://qat17_0.6.0-1-qat-fix-kernel-patch.patch \
> +         file://qat17_0.8.0-37-qat-added-include-dir-path.patch \
> +         file://qat17_0.9.0-4-qat-add-install-target-and-add-folder.patch \
> +         "
> +
> +SRC_URI[md5sum] = "29ab942f9c151d3c0e025accfd971ee6"
> +SRC_URI[sha256sum] = 
> "6caa72c65b9350f1708b2ed341e40ae3c6881953c501d0fbb7e2f8affaa5e025"
> +
> +# Support for 4.14 not yet available
> +#python () {
> +#    if d.getVar("PREFERRED_PROVIDER_virtual/kernel") == "linux-intel" and \
> +#       d.getVar("PREFERRED_VERSION_linux-intel") == "4.14%" or \
> +#       d.getVar("PREFERRED_PROVIDER_virtual/kernel") == "linux-intel-rt" 
> and \
> +#       d.getVar("PREFERRED_VERSION_linux-intel-rt") == "4.14%":
> +#        raise bb.parse.SkipPackage("This version of QAT has not been tested 
> with Linux Kernel 4.14 or newer")
> +#}
> 

Can you please remove this instead?

Thanks,
Anuj
-- 
_______________________________________________
meta-intel mailing list
meta-intel@yoctoproject.org
https://lists.yoctoproject.org/listinfo/meta-intel

Reply via email to